#!/bin/sh

###
## ProM specific
###
PROGRAM=ProMLite
CP=./${PROGRAM}.jar
LIBDIR=./lib
MAIN=org.processmining.contexts.uitopia.UI
JAVABIN=./jre/jre1.7.0_80.jre/Contents/Home/bin/java

###
## Main program
###

add() {
	CP=${CP}:$1
}


for lib in $LIBDIR/*.jar
do
	add $lib
done

$JAVABIN -version
$JAVABIN -da -Xmx4G -XX:MaxPermSize=256m -classpath ${CP} -Djava.library.path=${LIBDIR} -Djava.util.Arrays.useLegacyMergeSort=true ${MAIN}
